using FreeSql.DatabaseModel;using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Threading.Tasks;
using Newtonsoft.Json;
using FreeSql.DataAnnotations;

namespace FuelServer.Core.Entity
{

	/// <summary>
	/// 用户表
	/// </summary>
	[JsonObject(MemberSerialization.OptIn), Table(DisableSyncStructure = true)]
	public partial class users {

		/// <summary>
		/// 用户唯一标识符
		/// </summary>
		[JsonProperty, Column(IsPrimary = true, IsIdentity = true)]
		public int Id { get; set; }

		[JsonProperty]
		public Guid? Buid { get; set; }

		/// <summary>
		/// 用户账号
		/// </summary>
		[JsonProperty, Column(StringLength = 100, IsNullable = false)]
		public string Account { get; set; }

		/// <summary>
		/// 用户邮箱
		/// </summary>
		[JsonProperty, Column(StringLength = 100)]
		public string Email { get; set; }

		/// <summary>
		/// 用户密码
		/// </summary>
		[JsonProperty, Column(IsNullable = false)]
		public string Password { get; set; }

		/// <summary>
		/// 用户手机号
		/// </summary>
		[JsonProperty, Column(StringLength = 20)]
		public string PhoneNumber { get; set; }

	}

}
